package cn.com.tenlion.bigdata.pojo.dtos.bigdatatemplatearea;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: BigdataTemplateAreaDTO
 * @Description: 大数据展示模板的区域设置
 * @Author: WenG
 * @Date: 2020-10-20 15:08
 * @Version: 1.0
 **/
@ApiModel
public class BigdataTemplateAreaDTO {

    @ApiModelProperty(name = "bigdataTemplateAreaId", value = "主键")
    private String bigdataTemplateAreaId;
    @ApiModelProperty(name = "bigdataTemplateId", value = "模板ID")
    private String bigdataTemplateId;
    @ApiModelProperty(name = "bigdataTemplateJumpUrl", value = "跳转模板路径")
    private String bigdataTemplateJumpUrl;
    @ApiModelProperty(name = "bigdataTemplateJumpTitle", value = "跳转模板标题")
    private String bigdataTemplateJumpTitle;
    @ApiModelProperty(name = "bigdataTemplateJumpHeight", value = "跳转模板高度")
    private Double bigdataTemplateJumpHeight;
    @ApiModelProperty(name = "bigdataTemplateJumpWidth", value = "跳转模板宽度")
    private Double bigdataTemplateJumpWidth;
    @ApiModelProperty(name = "bigdataTemplateJumpSize", value = "显示尺寸1:自定义宽高,2自适应网页")
    private String bigdataTemplateJumpSize;
    @ApiModelProperty(name = "bigdataModuleId", value = "模块ID")
    private String bigdataModuleId;
    @ApiModelProperty(name = "templateAreaJump", value = "跳转详情")
    private String templateAreaJump;
    @ApiModelProperty(name = "templateAreaJumpMode", value = "跳转方式")
    private String templateAreaJumpMode;
    @ApiModelProperty(name = "templateAreaJumpTemplateId", value = "跳转模板")
    private String templateAreaJumpTemplateId;
    @ApiModelProperty(name = "templateAreaModuleData", value = "模块数据")
    private String templateAreaModuleData;
    @ApiModelProperty(name = "templateAreaServerData", value = "渲染数据")
    private String templateAreaServerData;
    @ApiModelProperty(name = "templateAreaSource", value = "数据来源")
    private String templateAreaSource;
    @ApiModelProperty(name = "templateAreaLeft", value = "距左部像素px")
    private Double templateAreaLeft;
    @ApiModelProperty(name = "templateAreaTop", value = "距顶部像素px")
    private Double templateAreaTop;
    @ApiModelProperty(name = "templateAreaDown", value = "距底部像素px")
    private Double templateAreaDown;
    @ApiModelProperty(name = "templateAreaRight", value = "距右部像素px")
    private Double templateAreaRight;
    @ApiModelProperty(name = "templateAreaHeight", value = "高度")
    private Double templateAreaHeight;
    @ApiModelProperty(name = "templateAreaWidth", value = "宽度")
    private Double templateAreaWidth;
    @ApiModelProperty(name = "templateAreaColor", value = "区域颜色")
    private String templateAreaColor;
    @ApiModelProperty(name = "templateAreaRemark", value = "备注")
    private String templateAreaRemark;
    @ApiModelProperty(name = "templateAreaStatus", value = "区域状态")
    private String templateAreaStatus;
    @ApiModelProperty(name = "templateAreaFrequency", value = "刷新频率")
    private Integer templateAreaFrequency;
    @ApiModelProperty(name = "bigdataModuleName", value = "模块名称")
    private String bigdataModuleName;
    @ApiModelProperty(name = "bigdataModuleType", value = "模块类型")
    private String bigdataModuleType;
    @ApiModelProperty(name = "bigdataModulePhoto", value = "模块图片")
    private String bigdataModulePhoto;
    @ApiModelProperty(name = "bigdataTemplateTitle", value = "模板名称")
    private String bigdataTemplateTitle;
    @ApiModelProperty(name = "bigdataModuleContent", value = "模块内容")
    private String bigdataModuleContent;
    @ApiModelProperty(name = "templateAreaJumpTemplateTitle", value = "跳转模板名称")
    private String templateAreaJumpTemplateTitle;
    @ApiModelProperty(name = "bigdataModuleCode", value = "模块编码")
    private String bigdataModuleCode;
    @ApiModelProperty(name = "templateAreaFile", value = "区域插件")
    private String templateAreaFile;
    @ApiModelProperty(name = "fileList", value = "区域插件集合")
    private List<BigdataTemplateAreaFileDTO> fileList;
    @ApiModelProperty(name = "templateAreaJumpUrl", value = "跳转链接")
    private String templateAreaJumpUrl;
    @ApiModelProperty(name = "bigdataModuleModuleJson", value = "模块数据")
    private String bigdataModuleModuleJson;
    @ApiModelProperty(name = "bigdataModuleServerJson", value = "自定义数据")
    private String bigdataModuleServerJson;
    @ApiModelProperty(name = "bigdataModuleLink", value = "模块是否支持联动")
    private String bigdataModuleLink;
    @ApiModelProperty(name = "templateAreaServerLink", value = "区域联动方式")
    private String templateAreaServerLink;
    @ApiModelProperty(name = "bigdataModuleRemark", value = "模块说明")
    private String bigdataModuleRemark;
    @ApiModelProperty(name = "bigdataTemplateCode", value = "模板编码")
    private String bigdataTemplateCode;

    public String getBigdataTemplateCode() {
        return bigdataTemplateCode == null ? "" : bigdataTemplateCode;
    }

    public void setBigdataTemplateCode(String bigdataTemplateCode) {
        this.bigdataTemplateCode = bigdataTemplateCode;
    }

    public String getBigdataModuleRemark() {
        return bigdataModuleRemark == null ? "" : bigdataModuleRemark;
    }

    public void setBigdataModuleRemark(String bigdataModuleRemark) {
        this.bigdataModuleRemark = bigdataModuleRemark;
    }

    public String getTemplateAreaServerLink() {
        return templateAreaServerLink == null ? "" : templateAreaServerLink;
    }

    public void setTemplateAreaServerLink(String templateAreaServerLink) {
        this.templateAreaServerLink = templateAreaServerLink;
    }

    public String getBigdataModuleLink() {
        return bigdataModuleLink == null ? "" : bigdataModuleLink;
    }

    public void setBigdataModuleLink(String bigdataModuleLink) {
        this.bigdataModuleLink = bigdataModuleLink;
    }

    public String getBigdataModuleModuleJson() {
        return bigdataModuleModuleJson == null ? "" : bigdataModuleModuleJson;
    }

    public void setBigdataModuleModuleJson(String bigdataModuleModuleJson) {
        this.bigdataModuleModuleJson = bigdataModuleModuleJson;
    }

    public String getBigdataModuleServerJson() {
        return bigdataModuleServerJson == null ? "" : bigdataModuleServerJson;
    }

    public void setBigdataModuleServerJson(String bigdataModuleServerJson) {
        this.bigdataModuleServerJson = bigdataModuleServerJson;
    }

    public String getBigdataTemplateJumpSize() {
        return bigdataTemplateJumpSize == null ? "" : bigdataTemplateJumpSize;
    }

    public void setBigdataTemplateJumpSize(String bigdataTemplateJumpSize) {
        this.bigdataTemplateJumpSize = bigdataTemplateJumpSize;
    }

    public String getTemplateAreaJumpUrl() {
        return templateAreaJumpUrl == null ? "" : templateAreaJumpUrl;
    }

    public void setTemplateAreaJumpUrl(String templateAreaJumpUrl) {
        this.templateAreaJumpUrl = templateAreaJumpUrl;
    }

    public String getBigdataTemplateJumpUrl() {
        return bigdataTemplateJumpUrl == null ? "" : bigdataTemplateJumpUrl;
    }

    public void setBigdataTemplateJumpUrl(String bigdataTemplateJumpUrl) {
        this.bigdataTemplateJumpUrl = bigdataTemplateJumpUrl;
    }

    public String getBigdataTemplateJumpTitle() {
        return bigdataTemplateJumpTitle == null ? "" : bigdataTemplateJumpTitle;
    }

    public void setBigdataTemplateJumpTitle(String bigdataTemplateJumpTitle) {
        this.bigdataTemplateJumpTitle = bigdataTemplateJumpTitle;
    }

    public Double getBigdataTemplateJumpHeight() {
        return bigdataTemplateJumpHeight == null ? 0.0 : bigdataTemplateJumpHeight;
    }

    public void setBigdataTemplateJumpHeight(Double bigdataTemplateJumpHeight) {
        this.bigdataTemplateJumpHeight = bigdataTemplateJumpHeight;
    }

    public Double getBigdataTemplateJumpWidth() {
        return bigdataTemplateJumpWidth == null ? 0.0 : bigdataTemplateJumpWidth;
    }

    public void setBigdataTemplateJumpWidth(Double bigdataTemplateJumpWidth) {
        this.bigdataTemplateJumpWidth = bigdataTemplateJumpWidth;
    }

    public List<BigdataTemplateAreaFileDTO> getFileList() {
        if (fileList == null) {
            return new ArrayList<>();
        }
        return fileList;
    }

    public void setFileList(List<BigdataTemplateAreaFileDTO> fileList) {
        this.fileList = fileList;
    }

    public String getTemplateAreaFile() {
        return templateAreaFile == null ? "" : templateAreaFile;
    }

    public void setTemplateAreaFile(String templateAreaFile) {
        this.templateAreaFile = templateAreaFile;
    }

    public String getBigdataModuleCode() {
        return bigdataModuleCode == null ? "" : bigdataModuleCode;
    }

    public void setBigdataModuleCode(String bigdataModuleCode) {
        this.bigdataModuleCode = bigdataModuleCode;
    }

    public String getTemplateAreaJumpTemplateTitle() {
        return templateAreaJumpTemplateTitle == null ? "" : templateAreaJumpTemplateTitle;
    }

    public void setTemplateAreaJumpTemplateTitle(String templateAreaJumpTemplateTitle) {
        this.templateAreaJumpTemplateTitle = templateAreaJumpTemplateTitle;
    }

    public String getBigdataModuleContent() {
        return bigdataModuleContent == null ? "" : bigdataModuleContent;
    }

    public void setBigdataModuleContent(String bigdataModuleContent) {
        this.bigdataModuleContent = bigdataModuleContent;
    }

    public String getBigdataTemplateTitle() {
        return bigdataTemplateTitle == null ? "" : bigdataTemplateTitle;
    }

    public void setBigdataTemplateTitle(String bigdataTemplateTitle) {
        this.bigdataTemplateTitle = bigdataTemplateTitle;
    }

    public String getBigdataModulePhoto() {
        return bigdataModulePhoto == null ? "" : bigdataModulePhoto;
    }

    public void setBigdataModulePhoto(String bigdataModulePhoto) {
        this.bigdataModulePhoto = bigdataModulePhoto;
    }

    public String getBigdataModuleName() {
        return bigdataModuleName == null ? "" : bigdataModuleName;
    }

    public void setBigdataModuleName(String bigdataModuleName) {
        this.bigdataModuleName = bigdataModuleName;
    }

    public String getBigdataModuleType() {
        return bigdataModuleType == null ? "" : bigdataModuleType;
    }

    public void setBigdataModuleType(String bigdataModuleType) {
        this.bigdataModuleType = bigdataModuleType;
    }

    public Integer getTemplateAreaFrequency() {
        return templateAreaFrequency;
    }

    public void setTemplateAreaFrequency(Integer templateAreaFrequency) {
        this.templateAreaFrequency = templateAreaFrequency;
    }

    public String getBigdataTemplateAreaId() {
        return bigdataTemplateAreaId == null ? "" : bigdataTemplateAreaId.trim();
    }

    public void setBigdataTemplateAreaId(String bigdataTemplateAreaId) {
        this.bigdataTemplateAreaId = bigdataTemplateAreaId;
    }

    public String getBigdataTemplateId() {
        return bigdataTemplateId == null ? "" : bigdataTemplateId.trim();
    }

    public void setBigdataTemplateId(String bigdataTemplateId) {
        this.bigdataTemplateId = bigdataTemplateId;
    }

    public String getBigdataModuleId() {
        return bigdataModuleId == null ? "" : bigdataModuleId.trim();
    }

    public void setBigdataModuleId(String bigdataModuleId) {
        this.bigdataModuleId = bigdataModuleId;
    }

    public String getTemplateAreaJump() {
        return templateAreaJump == null ? "" : templateAreaJump.trim();
    }

    public void setTemplateAreaJump(String templateAreaJump) {
        this.templateAreaJump = templateAreaJump;
    }

    public String getTemplateAreaJumpMode() {
        return templateAreaJumpMode == null ? "" : templateAreaJumpMode.trim();
    }

    public void setTemplateAreaJumpMode(String templateAreaJumpMode) {
        this.templateAreaJumpMode = templateAreaJumpMode;
    }

    public String getTemplateAreaJumpTemplateId() {
        return templateAreaJumpTemplateId == null ? "" : templateAreaJumpTemplateId.trim();
    }

    public void setTemplateAreaJumpTemplateId(String templateAreaJumpTemplateId) {
        this.templateAreaJumpTemplateId = templateAreaJumpTemplateId;
    }

    public String getTemplateAreaModuleData() {
        return templateAreaModuleData == null ? "" : templateAreaModuleData.trim();
    }

    public void setTemplateAreaModuleData(String templateAreaModuleData) {
        this.templateAreaModuleData = templateAreaModuleData;
    }

    public String getTemplateAreaServerData() {
        return templateAreaServerData == null ? "" : templateAreaServerData.trim();
    }

    public void setTemplateAreaServerData(String templateAreaServerData) {
        this.templateAreaServerData = templateAreaServerData;
    }

    public String getTemplateAreaSource() {
        return templateAreaSource == null ? "" : templateAreaSource.trim();
    }

    public void setTemplateAreaSource(String templateAreaSource) {
        this.templateAreaSource = templateAreaSource;
    }

    public Double getTemplateAreaLeft() {
        return templateAreaLeft;
    }

    public void setTemplateAreaLeft(Double templateAreaLeft) {
        this.templateAreaLeft = templateAreaLeft;
    }

    public Double getTemplateAreaTop() {
        return templateAreaTop;
    }

    public void setTemplateAreaTop(Double templateAreaTop) {
        this.templateAreaTop = templateAreaTop;
    }

    public Double getTemplateAreaDown() {
        return templateAreaDown;
    }

    public void setTemplateAreaDown(Double templateAreaDown) {
        this.templateAreaDown = templateAreaDown;
    }

    public Double getTemplateAreaRight() {
        return templateAreaRight;
    }

    public void setTemplateAreaRight(Double templateAreaRight) {
        this.templateAreaRight = templateAreaRight;
    }

    public Double getTemplateAreaHeight() {
        return templateAreaHeight;
    }

    public void setTemplateAreaHeight(Double templateAreaHeight) {
        this.templateAreaHeight = templateAreaHeight;
    }

    public Double getTemplateAreaWidth() {
        return templateAreaWidth;
    }

    public void setTemplateAreaWidth(Double templateAreaWidth) {
        this.templateAreaWidth = templateAreaWidth;
    }

    public String getTemplateAreaColor() {
        return templateAreaColor == null ? "" : templateAreaColor.trim();
    }

    public void setTemplateAreaColor(String templateAreaColor) {
        this.templateAreaColor = templateAreaColor;
    }

    public String getTemplateAreaRemark() {
        return templateAreaRemark == null ? "" : templateAreaRemark.trim();
    }

    public void setTemplateAreaRemark(String templateAreaRemark) {
        this.templateAreaRemark = templateAreaRemark;
    }

    public String getTemplateAreaStatus() {
        return templateAreaStatus == null ? "" : templateAreaStatus.trim();
    }

    public void setTemplateAreaStatus(String templateAreaStatus) {
        this.templateAreaStatus = templateAreaStatus;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"bigdataTemplateAreaId\":\"")
                .append(bigdataTemplateAreaId).append('\"');
        sb.append(",\"bigdataTemplateId\":\"")
                .append(bigdataTemplateId).append('\"');
        sb.append(",\"bigdataModuleId\":\"")
                .append(bigdataModuleId).append('\"');
        sb.append(",\"templateAreaJump\":\"")
                .append(templateAreaJump).append('\"');
        sb.append(",\"templateAreaJumpMode\":\"")
                .append(templateAreaJumpMode).append('\"');
        sb.append(",\"templateAreaJumpTemplateId\":\"")
                .append(templateAreaJumpTemplateId).append('\"');
        sb.append(",\"templateAreaModuleData\":\"")
                .append(templateAreaModuleData).append('\"');
        sb.append(",\"templateAreaServerData\":\"")
                .append(templateAreaServerData).append('\"');
        sb.append(",\"templateAreaSource\":\"")
                .append(templateAreaSource).append('\"');
        sb.append(",\"templateAreaLeft\":\"")
                .append(templateAreaLeft).append('\"');
        sb.append(",\"templateAreaTop\":\"")
                .append(templateAreaTop).append('\"');
        sb.append(",\"templateAreaDown\":\"")
                .append(templateAreaDown).append('\"');
        sb.append(",\"templateAreaRight\":\"")
                .append(templateAreaRight).append('\"');
        sb.append(",\"templateAreaHeight\":\"")
                .append(templateAreaHeight).append('\"');
        sb.append(",\"templateAreaWidth\":\"")
                .append(templateAreaWidth).append('\"');
        sb.append(",\"templateAreaColor\":\"")
                .append(templateAreaColor).append('\"');
        sb.append(",\"templateAreaRemark\":\"")
                .append(templateAreaRemark).append('\"');
        sb.append(",\"templateAreaStatus\":\"")
                .append(templateAreaStatus).append('\"');
        sb.append(",\"templateAreaFrequency\":")
                .append(templateAreaFrequency);
        sb.append(",\"bigdataModuleName\":\"")
                .append(bigdataModuleName).append('\"');
        sb.append(",\"bigdataModuleType\":\"")
                .append(bigdataModuleType).append('\"');
        sb.append(",\"bigdataModulePhoto\":\"")
                .append(bigdataModulePhoto).append('\"');
        sb.append(",\"bigdataTemplateTitle\":\"")
                .append(bigdataTemplateTitle).append('\"');
        sb.append(",\"bigdataModuleContent\":\"")
                .append(bigdataModuleContent).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
